<template>
  <div>
    <ul>
          <!-- <h2>doctores</h2> -->
        <li class="block-info">
            <h2>
                <i class="demo-icon icon-bookmark"></i>
                <br>
                <span class="color-white">nuestros doctores</span> mejor valorados
            </h2>
            <p>Confía en la opinión de otros pacientes que han pasado por sus manos</p>
        </li>
        <li  
            v-for="(doctor, index) in filteredItems" :key="doctor.id" 
            :style="{ 'background-image': `url(` + doctor.avatar + `)`}" 
            class="background-image-doctor"> 
             
            <div class="container-data">
                <span class="size-stars" > 
                    Rating {{printStars(doctor.rating)}}
                    <span v-if=" !doctor.rating ">sin valoración</span>
                </span>
                <hr class="card-hr">
                <h2 class="name">
                  <strong>{{ doctor.name }}</strong> 
                </h2>
                <p class="slogan">{{ doctor.surname }}</p>
            </div>
        </li>
    </ul>
  </div>
</template>

<script>

export default {
    
    name:'ListDoctors',
    data(){
        return{
            // número de resultados iniciales de la busqueda
            chargeAll: 3,
        }
    },
    props:{
        // recibimos lista doctores y especialidad
        doctores: Array,
        specialties: Array,

    },
    methods: {


         //Para redondear la valoración
        printStars(valor){
            this.round()
            let stars = '';
            if (valor < 1){
                stars='sin valoración'
            }
            else if (valor > 0 && valor <= 1){
                stars = '★ ☆ ☆ ☆ ☆'
                return stars;
            } else if ( valor > 1 && valor <=2){
                stars = '★ ★ ☆ ☆ ☆'
                return stars;
            } else if ( valor > 2 && valor <=3){
                stars = '★ ★ ★ ☆ ☆'
                return stars;
            } else if ( valor > 3 && valor <=4){
                stars = '★ ★ ★ ★ ☆'
                return stars;
            } else if (valor > 4 && valor <= 5 || valor > 5){
                stars = `★ ★ ★ ★ ★`
                return stars;
            }
        },
        round(valor){
            return Number.parseFloat(valor).toFixed(0)
        }
    },

    // mostrar numero doctores segun numero indicado en methods
    computed: {
    filteredItems() {
        return this.doctores.slice(0, this.chargeAll)
        },

    },
}
</script>







<style scoped>

    ul {
        display: flex;
        flex-wrap: wrap;
        align-items: left; 
        justify-content: center;
        margin-top: 3rem;
        margin-bottom: 0;
        background-color: var(--color-general-whitesmoke);
        padding: 100px 0;

    }
    
    li{
        display: flex;
        align-items: center;

        background-color: var(--color-general-black);
        color: var(--color-general-black);
        height: 300px;
        width: 300px;
        margin: 5px;

        border-radius: 4px;
        box-shadow: 0px 0px 8px 0px rgba(0,0,0,0.1);
        transition: all .5s ease;
        }

    .background-image-doctor {
        -webkit-background-size: cover;
        -moz-background-size: cover;
        -o-background-size: cover;
        background-size: cover;
        background-repeat: no-repeat;
        background-blend-mode: luminosity;

    }
/* bloque informativo doctores  */
    .block-info {
        box-shadow: none;

        background-color: var(--color-general-salmon);
        display: flex;
        flex-direction: column;
    }

    .block-info > * {
        padding: 15px;
        padding-right: 50px;
    }
    .color-white {
        color: var(--color-general-whitesmoke);
    }

/* datos card doctor */
    .container-data{
        color: var(--color-general-white);
        padding-left: 15px;
        padding-top: 15px;
        margin-bottom: auto;
    }
    .card-hr {
        margin: 0.5rem 0;
        border: 1px solid var(--color-general-salmon);
        width: 5rem;
    }
    .name {
        color: var(--color-general-salmon);
    }
    .size-stars{
        font-size: .7rem;
        color: var(--color-general-salmon);
    }
</style>